Skip to main content
GET
https://{tenantDomain}/api/v2
/
network-acls
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.NetworkAcls.Get(
        context.TODO(),
        "id",
    )
}
{
  "id": "<string>",
  "description": "<string>",
  "active": true,
  "priority": 50.5,
  "rule": {
    "action": {
      "block": true,
      "allow": true,
      "log": true,
      "redirect": true,
      "redirect_uri": "<string>"
    },
    "scope": "management",
    "match": {
      "asns": [
        123
      ],
      "auth0_managed": [
        "<string>"
      ],
      "geo_country_codes": [
        "<string>"
      ],
      "geo_subdivision_codes": [
        "<string>"
      ],
      "ipv4_cidrs": [
        "127.0.0.1"
      ],
      "ipv6_cidrs": [
        "2606:4700:3108::ac42:2835"
      ],
      "ja3_fingerprints": [
        "<string>"
      ],
      "ja4_fingerprints": [
        "<string>"
      ],
      "user_agents": [
        "<string>"
      ],
      "hostnames": [
        "<string>"
      ],
      "connecting_ipv4_cidrs": [
        "127.0.0.1"
      ],
      "connecting_ipv6_cidrs": [
        "2606:4700:3108::ac42:2835"
      ]
    },
    "not_match": {
      "asns": [
        123
      ],
      "auth0_managed": [
        "<string>"
      ],
      "geo_country_codes": [
        "<string>"
      ],
      "geo_subdivision_codes": [
        "<string>"
      ],
      "ipv4_cidrs": [
        "127.0.0.1"
      ],
      "ipv6_cidrs": [
        "2606:4700:3108::ac42:2835"
      ],
      "ja3_fingerprints": [
        "<string>"
      ],
      "ja4_fingerprints": [
        "<string>"
      ],
      "user_agents": [
        "<string>"
      ],
      "hostnames": [
        "<string>"
      ],
      "connecting_ipv4_cidrs": [
        "127.0.0.1"
      ],
      "connecting_ipv6_cidrs": [
        "2606:4700:3108::ac42:2835"
      ]
    }
  },
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the access control list to retrieve.

Maximum string length: 36

Response

Network access control list successfully retrieved.

id
string
description
string
active
boolean
priority
number
Required range: 1 <= x <= 100
rule
object
created_at
string

The timestamp when the Network ACL Configuration was created

updated_at
string

The timestamp when the Network ACL Configuration was last updated